## org.jfree.data
Class UnknownKeyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.jfree.data.UnknownKeyException

All Implemented Interfaces:
  java.io.Serializable

public class UnknownKeyException
extends java.lang.IllegalArgumentException

An exception that indicates an unknown key value.

See Also:
  Serialized Form

Constructor Summary
`UnknownKeyException(java.lang.String message)` Creates a new exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownKeyException

    public UnknownKeyException(java.lang.String message)

  Creates a new exception.

Parameters:
  `message` - a message describing the exception.